Subject: bug#49289: 28.0.50; auth-source-search may return doubly obfuscated :secret value

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Jun 2021 14:28:34 +0200

Kazuhiro Ito <[email-masked]> writes:

> I don't know whether auth-source supports multiple accounts on the
> same host and whether it is a feature that auth-source-search tend to
> return other user's password.  But I think doubly obfuscated :secret
> value is obviously a bug.

I think both things are bugs, and the second happens because of the
first bug.  I've now pushed a fix for this to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no